Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 27298

Description

missing -add function in GDAL_rasterize

History

#1 - 2018-07-24 11:35 PM - Nyall Dawson

- Tracker changed from Bug report to Feature request

- Subject changed from GDAL_rasterize to GDAL rasterize - add support for "burn in" to existing rasters, 'add' parameter

#2 - 2018-07-24 11:36 PM - Nyall Dawson

The algorithm does not current support altering existing rasters, and only allows creation of new rasters. The 'add' mode only makes sense when used with

updating an existing raster.

#3 - 2018-07-25 10:03 AM - Rijk Zuurmond

- File after-gdal-rasterize.jpg added

- File qgis2.18_menu_GDAL-rasterize.jpg added

- File polylines.jpg added

i'm using it to create (raster)heatmaps from a large set of tracks (shape polylines), 

this future is available in version 2.18

jpg added: menu from 2.18, orginal shapefile and resulting raster

#4 - 2018-07-26 08:39 AM - Giovanni Manghi

- Assignee set to Giovanni Manghi

- Category changed from GDAL Tools to Processing/GDAL

it seems that on QGIS LTR the tool was split in two, one allowing this operation, so it would be better to re-add it also in qgis 3.
after-gdal-rasterize.jpg 427 KB 2018-07-25 Rijk Zuurmond
